Make WordPress Core

Opened 9 months ago

Closed 9 months ago

#59238 closed task (blessed) (fixed)

PHPMailer: Update to v6.8.1

Reported by: jrf's profile jrf Owned by: sergeybiryukov's profile SergeyBiryukov
Milestone: 6.4 Priority: normal
Severity: normal Version: 6.3
Component: External Libraries Keywords: needs-patch
Focuses: Cc:

Description

PHPMailer 6.8.1 has just been released. This release contains a (very) minor security fix and some general maintenance fixes.

Full details:

I've reviewed the diff and the changes look sensible to me, so I would recommend an update.

Previously: #53430, #53953, #54514, #55187, #55277, #55976, #56016, #56413, #56772, #57281, #57873

Change History (1)

#1 @SergeyBiryukov
9 months ago

  • Owner set to SergeyBiryukov
  • Resolution set to fixed
  • Status changed from new to closed

In 56484:

External Libraries: Upgrade PHPMailer to version 6.8.1.

This is a minor maintenance release.

Note: WordPress core does not include PHPMailer's DSN class, as it is not particularly relevant for WP.

References:

Follow-up to [50628], [50799], [51169], [51634], [51635], [52252], [52749], [52811], [53500], [53535], [53917], [54427], [54937], [55557].

Props jrf, Synchro.
Fixes #59238.

Note: See TracTickets for help on using tickets.